# BasicValidationUsingJavaTest

This unit test compares the DST transitions calculated by the
`BasicZoneSpecifier` class (which uses the `zonedb` data files) with the
`validation_data.cpp` file generated by the Java
`../../tools/java/TestDataGenerator.java` program.

The Java tool generates about 130,000 data points spanning the year 2000 to
2050. It is too large to run on any Arduino board that I am aware of, including
the ESP32. However it does run on a Linux machine using the
[unitduino](https://github.com/bxparks/AUnit/tree/develop/unitduino) adaptor
layer included with [AUnit](https://github.com/bxparks/AUnit).

## Running the Test

Assuming that you have `g++` and `make` installed, just type:
```
$ make clean && make -j 4
$ ./BasicValidationUsingJavaTest.out
TestRunner started on 268 test(s).
Test TransitionTest_Africa_Abidjan passed.
...
Test TransitionTest_Pacific_Wallis passed.
TestRunner duration: 0.070 seconds.
TestRunner summary: 268 passed, 0 failed, 0 skipped, 0 timed out, out of 268 test(s).
```

## Regenerating the Zoneinfo Data

The TZ Database version used by the `TestDataGenerator.java` program and the
version that generated the `zonedb` files must match for this unit test to
succeed. The JDK version used to run this test was `openjdk version "11.0.3"
2019-04-16` (see `java -version`) which seems to use version 2018g. The default
zoneinfo files in `src/ace_time/zonedb` are generated using the latest TZ
version (currently 2019a). Since these don't match, it was necessary to create a
custom `zonedb` database in `./zonedb2018g/` directory.

The `zonedb2018g` files can be regenerated using:
```
$ cd zonedb2018g
$ make
```

## Compiling the Java Generator

The `Makefile` assumes that you have already compiled the
`TestDataGenerator.java` program into `TestDataGenerator.class`. Type the
following if you have not done so:
```
$ cd .../tools/java
$ make
